windowsAutopilotDeviceIdentity を作成する
名前空間: microsoft.graph
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい windowsAutopilotDeviceIdentity オブジェクトを 作成します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementServiceConfig.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 要求
POST /deviceManagement/windowsAutopilotDeviceIdentities
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、windowsAutopilotDeviceIdentity オブジェクトの JSON 表現を指定します。
次の表は、windowsAutopilotDeviceIdentity を作成するときに必要なプロパティを示しています。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | オブジェクトの GUID |
| groupTag | String | Windows autopilot デバイスのグループ タグ。 |
| purchaseOrderIdentifier | String | Windows autopilot デバイスの注文番号。 |
| シリアル番号 | String | Windows オートパイロット デバイスのシリアル番号。 |
| productKey | String | Windows オートパイロット デバイスのプロダクト キー。 |
| manufacturer | String | Windows autopilot デバイスの Oem 製造元。 |
| model | String | Windows autopilot デバイスのモデル名。 |
| enrollmentState | enrollmentState | Windows autopilot デバイスの登録状態をIntuneします。 可能な値は、unknown、enrolled、pendingReset、failed、notContacted です。 |
| lastContactedDateTime | DateTimeOffset | Intune Windows autopilot デバイスの最終連絡日時です。 |
| addressableUserName | String | アドレス指定可能なユーザー名。 |
| userPrincipalName | String | ユーザー プリンシパル名。 |
| resourceName | String | リソース名。 |
| skuNumber | String | SKU 番号 |
| systemFamily | 文字列 | システム ファミリ |
| azureActiveDirectoryDeviceId | String | AAD デバイス ID - 非推奨になる |
| managedDeviceId | String | マネージド デバイス ID |
| displayName | 文字列 | 表示名 |
応答
成功した場合、このメソッドは 201 Created 応答コードと応答本文の windowsAutopilotDeviceIdentity オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/v1.0/deviceManagement/windowsAutopilotDeviceIdentities
Content-type: application/json
Content-length: 814
{
"@odata.type": "#microsoft.graph.windowsAutopilotDeviceIdentity",
"groupTag": "Group Tag value",
"purchaseOrderIdentifier": "Purchase Order Identifier value",
"serialNumber": "Serial Number value",
"productKey": "Product Key value",
"manufacturer": "Manufacturer value",
"model": "Model value",
"enrollmentState": "enrolled",
"lastContactedDateTime": "2016-12-31T23:58:44.2908994-08:00",
"addressableUserName": "Addressable User Name value",
"userPrincipalName": "User Principal Name value",
"resourceName": "Resource Name value",
"skuNumber": "Sku Number value",
"systemFamily": "System Family value",
"azureActiveDirectoryDeviceId": "Azure Active Directory Device Id value",
"managedDeviceId": "Managed Device Id value",
"displayName": "Display Name value"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 863
{
"@odata.type": "#microsoft.graph.windowsAutopilotDeviceIdentity",
"id": "fac6f0b1-f0b1-fac6-b1f0-c6fab1f0c6fa",
"groupTag": "Group Tag value",
"purchaseOrderIdentifier": "Purchase Order Identifier value",
"serialNumber": "Serial Number value",
"productKey": "Product Key value",
"manufacturer": "Manufacturer value",
"model": "Model value",
"enrollmentState": "enrolled",
"lastContactedDateTime": "2016-12-31T23:58:44.2908994-08:00",
"addressableUserName": "Addressable User Name value",
"userPrincipalName": "User Principal Name value",
"resourceName": "Resource Name value",
"skuNumber": "Sku Number value",
"systemFamily": "System Family value",
"azureActiveDirectoryDeviceId": "Azure Active Directory Device Id value",
"managedDeviceId": "Managed Device Id value",
"displayName": "Display Name value"
}
フィードバック
フィードバックの送信と表示